Удалёнка: опыт и лайфхаки
15 января

На ресурсах Хабра заканчивается поддержка старых версий TLS

Блог компании ХабрHabrСетевые технологииБраузеры

Поддержка устаревших версий TLS 1.0 и 1.1 отключена на ресурсах Хабра c 15 января 2020 года. Для установления защищённых соединений с нашими сайтами доступны версии TLS 1.2 и экспериментальная 1.3 (наборы TLS_CHACHA20_POLY1305_SHA256, TLS_AES_256_GCM_SHA384, TLS_AES_128_GCM_SHA256). Если у вас безумно старый браузер или ОС, настало время что-то с этим сделать, так как прогресс не стоит на месте.



CC-BY-CA Vadim Rybalko, based on meme


Подробнее о TLS


Больше информации об используемых сертификатах можно получить через инструмент проверки Qualys, например:



Справочно, проблема возникнет у клиентов следующих версий или более ранних:


  • Android 2.3.7
  • Android 4.0.4
  • Android 4.1.1
  • Android 4.2.2
  • Android 4.3
  • Baidu Jan 2015
  • IE 6 / XP
  • IE 7 / Vista
  • IE 8 / XP
  • IE 8-10 / Win 7
  • IE 10 / Win Phone 8.0
  • Java 6u45
  • Java 7u25
  • OpenSSL 0.9.8y
  • Safari 5.1.9 / OS X 10.6.8
  • Safari 6.0.4 / OS X 10.8.4

Hint: на сервисах career, freelance и qna доступны две цепочки сертификатов: на основе RSA и ECDSA. Совместно с Qrator Labs мы проводим ряд статистических экспериментов влияния различных наборов шифров и протоколов на показатели производительности.

Теги: Habr tls tls 1.0 tls 1.1 tls 1.2 tls 1.3
Хабы: Блог компании Хабр Habr Сетевые технологии Браузеры
+29
4,7k 4
Комментарии 10
Реклама
Популярное за сутки

Рекомендуем